﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
            background-color: #fff;
        }
        table th
        {
            background-color: #B8DBFD;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        table, table table td
        {
            border: 0px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div id="dvTable" style = "width:340px;background-color:White;padding:5px">
        <u>Customer Records</u>
        <br />
        <br />
        <table cellspacing="0" rules="all" border="1" id="GridView1" style="border-collapse: collapse;">
            <tr>
                <th scope="col" style="width: 90px;">
                    Customer Id
                </th>
                <th scope="col" style="width: 120px;">
                    Name
                </th>
                <th scope="col" style="width: 120px;">
                    Country
                </th>
            </tr>
            <tr>
                <td>
                    1
                </td>
                <td>
                    John Hammond
                </td>
                <td>
                    United States
                </td>
            </tr>
            <tr>
                <td>
                    2
                </td>
                <td>
                    Mudassar Khan
                </td>
                <td>
                    India
                </td>
            </tr>
            <tr>
                <td>
                    3
                </td>
                <td>
                    Suzanne Mathews
                </td>
                <td>
                    France
                </td>
            </tr>
            <tr>
                <td>
                    4
                </td>
                <td>
                    Robert Schidner
                </td>
                <td>
                    Russia
                </td>
            </tr>
        </table>
    </div>
    <br />
    <asp:HiddenField ID="hfImageData" runat="server" />
    <asp:Button ID="btnExport" Text="Export to Image" runat="server" UseSubmitBehavior="false"
        OnClick="ExportToImage" OnClientClick="return ConvertToImage(this)" />
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript" src="https://html2canvas.hertzen.com/dist/html2canvas.min.js"></script>
    <script type="text/javascript">
        function ConvertToImage(btnExport) {
            html2canvas($("#dvTable")[0]).then(function (canvas) {
                var base64 = canvas.toDataURL();
                $("[id*=hfImageData]").val(base64);
                __doPostBack(btnExport.name, "");
            });
            return false;
        }
    </script>
    </form>
</body>
</html>
